Page MenuHome

Undo option isn't working in weight paint mode.
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce GTX 1650/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 446.14

Blender Version
Broken: version: 2.83.0, branch: master, commit date: 2020-06-03 14:38, hash: rB211b6c29f771
Worked: version 2.82

Short description of error
Undo option isn't working in weight paint mode.

Exact steps for others to reproduce the error
I'm tying to load to default settings but every time i start blender it loads up old settings even after save startup file.

Event Timeline

Alaska (Alaska) changed the task status from Needs Triage to Needs Information from User.Jun 6 2020, 12:41 AM
Alaska (Alaska) added a subscriber: Alaska (Alaska).

I'm tying to load to default settings but every time i start blender it loads up old settings even after save startup file.

This is because the startup file and user preferences are saved separately. To save the user preferences you need to select this button.

As for the report. Undo is working for. So it may have something to do with your addons.

I fixed this bug by enablling global undo in the system preferences. My bug report was closed as "invalid" despite it being an issue that lost me hours of work and wasn't an issue in 2.82, and did not need global undo enabled in 2.82.
Just incase they close yours too, try this option to save yourself the frustration. It does seem to eat a lot more ram though, hopefully it'll get fixed in a future update.

Philipp Oeser (lichtwerk) changed the task status from Needs Information from User to Needs Triage.Jun 23 2020, 10:14 AM
Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Needs Information from User.Jun 24 2020, 9:02 PM

I am not sure what this report is about.
The description says one thing but the steps to reproduce the bug show something else.

The Save Startup File problem has been reported here:
T78037: fresh install of blender 2.83.0 not able to save user startup file

I suggest making another report and describe the correct steps.

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.

Deepak Tandon (R3CON) changed the task status from Invalid to Resolved.Jul 4 2020, 8:29 AM

So i delete the blender save file directory in user folder to solve the problem and works fine. Thanks for feedback.